Bug 1806585 - project.spec.projectRequestMessage not applied in all places
Summary: project.spec.projectRequestMessage not applied in all places
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1802577
Blocks: 1804708
TreeView+ depends on / blocked
 
Reported: 2020-02-24 14:58 UTC by Robb Hamilton
Modified: 2020-05-04 11:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1802577
: 1807189 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:39:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4439 0 None closed [release-4.4] Bug 1806585: only show "Create Project" option in project dropdown i… 2020-05-08 09:10:45 UTC

Comment 3 Yadan Pei 2020-02-28 06:40:02 UTC
1. Disabling project self-provisioning
# oc patch clusterrolebinding.rbac self-provisioners -p '{"subjects": null}'
clusterrolebinding.rbac.authorization.k8s.io/self-provisioners patched
# oc patch clusterrolebinding.rbac self-provisioners -p '{ "metadata": { "annotations": { "rbac.authorization.kubernetes.io/autoupdate": "false" } } }'
# oc describe clusterrolebinding.rbac self-provisioners
Name:         self-provisioners
Labels:       <none>
Annotations:  rbac.authorization.kubernetes.io/autoupdate: false
Role:
  Kind:  ClusterRole
  Name:  self-provisioner
Subjects:
  Kind  Name  Namespace
  ----  ----  ---------
2. Customize project request message
# oc edit project.config.openshift.io/cluster
project.config.openshift.io/cluster edited
# oc get project.config.openshift.io/cluster -o yaml
apiVersion: config.openshift.io/v1
kind: Project
metadata:
  annotations:
    release.openshift.io/create-only: "true"
  creationTimestamp: "2020-02-24T00:50:30Z"
  generation: 2
  name: cluster
  resourceVersion: "220199"
  selfLink: /apis/config.openshift.io/v1/projects/cluster
  uid: 689ef5c6-97bb-4bc3-b1dd-688ad10c3638
spec:
  projectRequestMessage: This is customized by yapei, please contact her

3. Login via CLI
oc login     https://api.qe-ui-02240831.qe.devcluster.openshift.com:6443 -u yapei1 -p redhat
Login successful.

You don't have any projects. Contact your system administrator to request a project.
# oc new-project yapei1-1
Error from server (Forbidden): This is customized by yapei, please contact her

4. Login via console as user 'yapei1', check Workloads -> Deployments , open project dropdown, no 'Create Project' button in dropdown list

Verified on 4.4.0-0.nightly-2020-02-28-000349

Comment 5 errata-xmlrpc 2020-05-04 11:39:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.